Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001420KdenliveUser Interfacepublic2010-02-04 00:532010-02-20 08:16
Reporterescor 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSGentoo LinuxOS Version2008.0
Product Version0.7.6 
Target VersionFixed in Version0.7.7 
Summary0001420: Kdenlive crash by open project file
DescriptionApplication that crashed: kdenlive
Version of the application: 0.7.6
KDE Version: 4.3.3 (KDE 4.3.3)
Qt Version: 4.5.3
Operating System: Linux 2.6.31-gentoo-r6 x86_64

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ff47d605700 (LWP 2471))]

Thread 3 (Thread 0x7ff4652f0910 (LWP 2480)):
#0 0x00007ff47a95e41d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007ff47d21b567 in mlt_consumer_get_frame (this=0x109cac0) at mlt_consumer.c:498
0000002 0x00007ff47d21b7a5 in mlt_consumer_rt_frame (this=0x109cbdc) at mlt_consumer.c:896
0000003 0x00007ff46758a3d4 in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:556
0000004 0x00007ff47a95a2a7 in start_thread () from /lib/libpthread.so.0
0000005 0x00007ff4792346ad in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff464aef910 (LWP 2481)):
#0 0x00007ff47a95e199 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007ff467589b51 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:385
0000002 0x00007ff47a95a2a7 in start_thread () from /lib/libpthread.so.0
0000003 0x00007ff4792346ad in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff47d605700 (LWP 2471)):
[KCrash Handler]
0000005 0x000000000049d6d8 in QListData::at (this=0x169ed90, ix=<value optimized out>) at /usr/include/qt4/QtCore/qlist.h:89
0000006 QList<TrackInfo>::at (this=0x169ed90, ix=<value optimized out>) at /usr/include/qt4/QtCore/qlist.h:396
0000007 KdenliveDoc::isTrackLocked (this=0x169ed90, ix=<value optimized out>) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/kdenlivedoc.cpp:1120
0000008 0x00000000004bd7a3 in TrackView::parseDocument (this=0x1b03db0, doc=...) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/trackview.cpp:360
0000009 0x00000000004bf9ce in TrackView (this=0x1b03db0, doc=<value optimized out>, ok=0x7ffff997636f, parent=<value optimized out>)
    at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/trackview.cpp:107
0000010 0x0000000000446ebe in MainWindow::doOpenFile (this=0xeb22c0, url=..., stale=<value optimized out>) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/mainwindow.cpp:1485
0000011 0x0000000000457a27 in MainWindow::openFile (this=0xeb22c0, url=...) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/mainwindow.cpp:1466
0000012 0x0000000000457c9a in MainWindow::openFile (this=0xeb22c0) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/mainwindow.cpp:1415
0000013 0x0000000000461e4d in MainWindow::qt_metacall (this=0xeb22c0, _c=QMetaObject::InvokeMetaMethod, _id=145, _a=0x7ffff9976870)
    at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6_build/src/cmake_bindir/mainwindow.moc:284
0000014 0x00007ff47acb0266 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
0000015 0x00007ff479df6e17 in QAction::triggered(bool) () from /usr/lib64/qt4/libQtGui.so.4
0000016 0x00007ff479df80b0 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/qt4/libQtGui.so.4
0000017 0x00007ff47a101f7a in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000018 0x00007ff47a1021f5 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000019 0x00007ff47a1bebea in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000020 0x00007ff479e48d18 in QWidget::event(QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000021 0x00007ff479dfc16d in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000022 0x00007ff479e0417b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000023 0x00007ff47c971f8b in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
0000024 0x00007ff47ac9e51b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
0000025 0x00007ff479e05668 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&) () from /usr/lib64/qt4/libQtGui.so.4
0000026 0x00007ff479e5e3cc in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000027 0x00007ff479e5cf66 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/qt4/libQtGui.so.4
0000028 0x00007ff479e81522 in ?? () from /usr/lib64/qt4/libQtGui.so.4
0000029 0x00007ff47ac9cf02 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
0000030 0x00007ff47ac9d09c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
0000031 0x00007ff47ac9f06c in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
0000032 0x0000000000443df7 in main (argc=1, argv=0x7ffff9979338) at /var/tmp/portage/media-video/kdenlive-0.7.6/work/kdenlive-0.7.6/src/main.cpp:86

An http://kdenlive.org/mantis [^] berichten
Steps To Reproduce# kdenlive stubai_gletscher.kdenlive
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon stubai_gletscher.kdenlive [^] (44,064 bytes) 2010-02-04 00:53

- Relationships

-  Notes
(0004634)
j-b-m (administrator)
2010-02-04 11:16

Kdenlive somehow corrupted the document, you have an invalid transition. Look for the "transition4" string in ptoject file, and remove the "<transition>...</transition>" around that, it should fix the crash.

Issue solved in Kdenlive 0.7.7

- Issue History
Date Modified Username Field Change
2010-02-04 00:53 escor New Issue
2010-02-04 00:53 escor File Added: stubai_gletscher.kdenlive
2010-02-04 11:16 j-b-m Note Added: 0004634
2010-02-04 11:16 j-b-m Status new => feedback
2010-02-09 08:46 j-b-m Status feedback => resolved
2010-02-09 08:46 j-b-m Fixed in Version => 0.7.7
2010-02-09 08:46 j-b-m Resolution open => fixed
2010-02-09 08:46 j-b-m Assigned To => j-b-m
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker